
<!-- This file defines the zcu111 HDL platform -->
<HdlPlatform Language="VHDL" Spec='platform-spec'>
  <specproperty name='platform' value='zcu111'/>
  <specproperty name="nSlots" value='1'/>
  <!-- 8 dip switches and 8 LEDs -->
  <specproperty name="nLEDs" parameter='1' value='8'/>
  <specproperty name="nSwitches" parameter='1' value='8'/>
  <!-- <specproperty name="slotNames" value='fmc_lpc'/> -->
  <!-- All platform workers must provide these two ports -->
  <metadata master="true"/>
  <timebase master="true"/>
  <!-- This platform worker provides a control plane -->
  <cpmaster master='true'/>
  <!-- Set your time server frequency -->
  <device worker='time_server'>
    <property name='frequency' value='100e6'/>
  </device>
  <specproperty name='sdp_width' value='2'/>
  <sdp name='zynq_ultra' master='true' count='4'/>
  <Property name='axi_error' type='bool' arraylength='4' volatile='true'/>
  <Property name='sdpDropCount' type='uchar' volatile='true'/>
  <slot name='FMCP_HSPC' type='fmc_plus'>
    <signal slot='GBTCLK2_M2C_P' platform='GBTCLK2_M2C_C_P'/>
    <signal slot='GBTCLK2_M2C_N' platform='GBTCLK2_M2C_C_N'/>

    <signal slot='LA00_P_CC' platform='LA00_CC_P'/>
    <signal slot='LA00_N_CC' platform='LA00_CC_N'/>

    <signal slot='GBTCLK0_M2C_P' platform='GBTCLK0_M2C_C_P'/>
    <signal slot='GBTCLK0_M2C_N' platform='GBTCLK0_M2C_C_N'/>

    <signal slot='LA01_P_CC' platform='LA01_CC_P'/>
    <signal slot='LA01_N_CC' platform='LA01_CC_N'/>

    <signal slot='LA17_P_CC' platform='LA17_CC_P'/>
    <signal slot='LA17_N_CC' platform='LA17_CC_N'/>

    <signal slot='LA18_P_CC' platform='LA18_CC_P'/>
    <signal slot='LA18_N_CC' platform='LA18_CC_N'/>
    
    <signal slot='GBTCLK1_M2C_P' platform='GBTCLK1_M2C_C_P'/>
    <signal slot='GBTCLK1_M2C_N' platform='GBTCLK1_M2C_C_N'/>
    
    <!-- These signals do not have connections to the platform -->

    <signal slot='DP23_M2C_P' platform=''/>
    <signal slot='DP23_M2C_N' platform=''/>

    <signal slot='DP22_M2C_P' platform=''/>
    <signal slot='DP22_M2C_N' platform=''/>

    <signal slot='DP21_M2C_P' platform=''/>
    <signal slot='DP21_M2C_N' platform=''/>

    <signal slot='DP20_M2C_P' platform=''/>
    <signal slot='DP20_M2C_N' platform=''/>

    <signal slot='DP14_C2M_P' platform=''/>
    <signal slot='DP14_C2M_N' platform=''/>

    <signal slot='DP15_C2M_P' platform=''/>
    <signal slot='DP15_C2M_N' platform=''/>

    <signal slot='DP16_C2M_P' platform=''/>
    <signal slot='DP16_C2M_N' platform=''/>

    <signal slot='DP17_C2M_P' platform=''/>
    <signal slot='DP17_C2M_N' platform=''/>

    <signal slot='DP18_C2M_P' platform=''/>
    <signal slot='DP18_C2M_N' platform=''/>

    <signal slot='DP19_C2M_P' platform=''/>
    <signal slot='DP19_C2M_N' platform=''/>

    <signal slot='GBTCLK4_M2C_P' platform=''/>
    <signal slot='GBTCLK4_M2C_N' platform=''/>

    <signal slot='GBTCLK3_M2C_P' platform=''/>
    <signal slot='GBTCLK3_M2C_N' platform=''/>

    <signal slot='CLK2_BIDIR_P' platform=''/>
    <signal slot='CLK2_BIDIR_N' platform=''/>

    <signal slot='HA02_P' platform=''/>
    <signal slot='HA02_N' platform=''/>

    <signal slot='HA06_P' platform=''/>
    <signal slot='HA06_N' platform=''/>

    <signal slot='HA10_P' platform=''/>
    <signal slot='HA10_N' platform=''/>

    <signal slot='HA17_P_CC' platform=''/>
    <signal slot='HA17_N_CC' platform=''/>

    <signal slot='HA21_P' platform=''/>
    <signal slot='HA21_N' platform=''/>

    <signal slot='HA23_P' platform=''/>
    <signal slot='HA23_N' platform=''/>

    <signal slot='HB00_P_CC' platform=''/>
    <signal slot='HB00_N_CC' platform=''/>

    <signal slot='HB06_P_CC' platform=''/>
    <signal slot='HB06_N_CC' platform=''/>

    <signal slot='HB10_P' platform=''/>
    <signal slot='HB10_N' platform=''/>

    <signal slot='HB14_P' platform=''/>
    <signal slot='HB14_N' platform=''/>

    <signal slot='HB17_P_CC' platform=''/>
    <signal slot='HB17_N_CC' platform=''/>

    <signal slot='CLK3_BIDIR_P' platform=''/>
    <signal slot='CLK3_BIDIR_N' platform=''/>

    <signal slot='HA03_P' platform=''/>
    <signal slot='HA03_N' platform=''/>

    <signal slot='HA07_P' platform=''/>
    <signal slot='HA07_N' platform=''/>

    <signal slot='HA11_P' platform=''/>
    <signal slot='HA11_N' platform=''/>

    <signal slot='HA14_P' platform=''/>
    <signal slot='HA14_N' platform=''/>

    <signal slot='HA18_P' platform=''/>
    <signal slot='HA18_N' platform=''/>

    <signal slot='HA22_P' platform=''/>
    <signal slot='HA22_N' platform=''/>

    <signal slot='HB01_P' platform=''/>
    <signal slot='HB01_N' platform=''/>

    <signal slot='HB07_P' platform=''/>
    <signal slot='HB07_N' platform=''/>

    <signal slot='HB11_P' platform=''/>
    <signal slot='HB11_N' platform=''/>

    <signal slot='HB15_P' platform=''/>
    <signal slot='HB15_N' platform=''/>

    <signal slot='HB18_P' platform=''/>
    <signal slot='HB18_N' platform=''/>

    <signal slot='PRSNT_M2C_L' platform=''/>

    <signal slot='CLK0_M2C_P' platform=''/>
    <signal slot='CLK0_M2C_N' platform=''/>

    <signal slot='CLK1_M2C_P' platform=''/>
    <signal slot='CLK1_M2C_N' platform=''/>
   
    <signal slot='PG_M2C' platform=''/>

    <signal slot='HA00_P_CC' platform=''/>
    <signal slot='HA00_N_CC' platform=''/>

    <signal slot='HA04_P' platform=''/>
    <signal slot='HA04_N' platform=''/>

    <signal slot='HA08_P' platform=''/>
    <signal slot='HA08_N' platform=''/>

    <signal slot='HA12_P' platform=''/>
    <signal slot='HA12_N' platform=''/>

    <signal slot='HA15_P' platform=''/>
    <signal slot='HA15_N' platform=''/>

    <signal slot='HA19_P' platform=''/>
    <signal slot='HA19_N' platform=''/>

    <signal slot='HB02_P' platform=''/>
    <signal slot='HB02_N' platform=''/>

    <signal slot='HB04_P' platform=''/>
    <signal slot='HB04_N' platform=''/>

    <signal slot='HB08_P' platform=''/>
    <signal slot='HB08_N' platform=''/>

    <signal slot='HB12_P' platform=''/>
    <signal slot='HB12_N' platform=''/>

    <signal slot='HB16_P' platform=''/>
    <signal slot='HB16_N' platform=''/>

    <signal slot='HB20_P' platform=''/>
    <signal slot='HB20_N' platform=''/>

    <signal slot='HA01_P_CC' platform=''/>
    <signal slot='HA01_N_CC' platform=''/>

    <signal slot='HA05_P' platform=''/>
    <signal slot='HA05_N' platform=''/>

    <signal slot='HA09_P' platform=''/>
    <signal slot='HA09_N' platform=''/>

    <signal slot='HA13_P' platform=''/>
    <signal slot='HA13_N' platform=''/>

    <signal slot='HA16_P' platform=''/>
    <signal slot='HA16_N' platform=''/>

    <signal slot='HA20_P' platform=''/>
    <signal slot='HA20_N' platform=''/>

    <signal slot='HB03_P' platform=''/>
    <signal slot='HB03_N' platform=''/>

    <signal slot='HB05_P' platform=''/>
    <signal slot='HB05_N' platform=''/>

    <signal slot='HB09_P' platform=''/>
    <signal slot='HB09_N' platform=''/>

    <signal slot='HB13_P' platform=''/>
    <signal slot='HB13_N' platform=''/>

    <signal slot='HB19_P' platform=''/>
    <signal slot='HB19_N' platform=''/>

    <signal slot='HB21_P' platform=''/>
    <signal slot='HB21_N' platform=''/>

    <signal slot='PG_C2M' platform=''/>

    <signal slot='DP0_C2M_P' platform=''/>
    <signal slot='DP0_C2M_N' platform=''/>

    <signal slot='CLK_DIR' platform=''/>

    <signal slot='DP9_C2M_P' platform=''/>
    <signal slot='DP9_C2M_N' platform=''/>

    <signal slot='DP8_C2M_P' platform=''/>
    <signal slot='DP8_C2M_N' platform=''/>

    <signal slot='DP7_C2M_P' platform=''/>
    <signal slot='DP7_C2M_N' platform=''/>

    <signal slot='DP6_C2M_P' platform=''/>
    <signal slot='DP6_C2M_N' platform=''/>

    <signal slot='DP1_C2M_P' platform=''/>
    <signal slot='DP1_C2M_N' platform=''/>

    <signal slot='DP2_C2M_P' platform=''/>
    <signal slot='DP2_C2M_N' platform=''/>

    <signal slot='DP3_C2M_P' platform=''/>
    <signal slot='DP3_C2M_N' platform=''/>

    <signal slot='DP4_C2M_P' platform=''/>
    <signal slot='DP4_C2M_N' platform=''/>

    <signal slot='DP5_C2M_P' platform=''/>
    <signal slot='DP5_C2M_N' platform=''/>

    <signal slot='DP22_C2M_P' platform=''/>
    <signal slot='DP22_C2M_N' platform=''/>

    <signal slot='DP20_C2M_P' platform=''/>
    <signal slot='DP20_C2M_N' platform=''/>

    <signal slot='DP13_M2C_P' platform=''/>
    <signal slot='DP13_M2C_N' platform=''/>

    <signal slot='GBTCLK5_M2C_P' platform=''/>
    <signal slot='GBTCLK5_M2C_N' platform=''/>

    <signal slot='DP10_C2M_P' platform=''/>
    <signal slot='DP10_C2M_N' platform=''/>

    <signal slot='DP11_C2M_P' platform=''/>
    <signal slot='DP11_C2M_N' platform=''/>

    <signal slot='DP11_M2C_P' platform=''/>
    <signal slot='DP11_M2C_N' platform=''/>

    <signal slot='DP10_M2C_P' platform=''/>
    <signal slot='DP10_M2C_N' platform=''/>

    <signal slot='DP12_C2M_P' platform=''/>
    <signal slot='DP12_C2M_N' platform=''/>

    <signal slot='DP16_M2C_P' platform=''/>
    <signal slot='DP16_M2C_N' platform=''/>

    <signal slot='DP18_M2C_P' platform=''/>
    <signal slot='DP18_M2C_N' platform=''/>

    <signal slot='DP23_C2M_P' platform=''/>
    <signal slot='DP23_C2M_N' platform=''/>

    <signal slot='DP21_C2M_P' platform=''/>
    <signal slot='DP21_C2M_N' platform=''/>

    <signal slot='DP12_M2C_P' platform=''/>
    <signal slot='DP12_M2C_N' platform=''/>

    <signal slot='DP14_M2C_P' platform=''/>
    <signal slot='DP14_M2C_N' platform=''/>

    <signal slot='DP15_M2C_P' platform=''/>
    <signal slot='DP15_M2C_N' platform=''/>

    <signal slot='DP13_C2M_P' platform=''/>
    <signal slot='DP13_C2M_N' platform=''/>

    <signal slot='DP17_M2C_P' platform=''/>
    <signal slot='DP17_M2C_N' platform=''/>

    <signal slot='DP19_M2C_P' platform=''/>
    <signal slot='DP19_M2C_N' platform=''/>

  </slot>

  <signal  output='leds' width='8'/>
  <signal name='leds(0)' platform="GPIO_LED_0_LS"/>
  <signal name='leds(1)' platform="GPIO_LED_1_LS"/>
  <signal name='leds(2)' platform="GPIO_LED_2_LS"/>
  <signal name='leds(3)' platform="GPIO_LED_3_LS"/>
  <signal name='leds(4)' platform="GPIO_LED_4_LS"/>
  <signal name='leds(5)' platform="GPIO_LED_5_LS"/>
  <signal name='leds(6)' platform="GPIO_LED_6_LS"/>
  <signal name='leds(7)' platform="GPIO_LED_7_LS"/>
  <signal input='switches' width='8'/>
  <signal name='switches(0)' platform="GPIO_DIP_SW0"/>
  <signal name='switches(1)' platform="GPIO_DIP_SW1"/>
  <signal name='switches(2)' platform="GPIO_DIP_SW2"/>
  <signal name='switches(3)' platform="GPIO_DIP_SW3"/>
  <signal name='switches(4)' platform="GPIO_DIP_SW4"/>
  <signal name='switches(5)' platform="GPIO_DIP_SW5"/>
  <signal name='switches(6)' platform="GPIO_DIP_SW6"/>
  <signal name='switches(7)' platform="GPIO_DIP_SW7"/>

  <!-- <signal  input='fmc_prsnt'/> -->
  <!-- debug stuff -->
  <!-- <Property name="debug_state" type="Ulonglong" arraylength='4' volatile='true' debug='false'/> -->
  <!-- <Property name="debug_state1" type="Ulonglong" arraylength='4' volatile='true' debug='false'/> -->
  <!-- <Property name="debug_state2" type="Ulonglong" arraylength='4' volatile='true' debug='false'/> -->
</HdlPlatform>
